/* --------------------------------------------
   Typography
-------------------------------------------- */

/* Refer to Gulp task getFonts and gfonts.neon config file in src - use .woff strict */
$font-base: 'Poppins', sans-serif;
$font-heading: 'Krona One', sans-serif;

@mixin font-base {
    font-family: $font-base,
}

@mixin font-heading {
    font-family: $font-heading,
}

body {
  @include font-base;
  font-size: 16px;
  line-height: 1.7;
  font-weight: 300;
}

strong {
  font-weight: 700;
}

.fs {
  &-smaller {
    font-size: 15px;
  }
  &-small {
    font-size: 14px;
  }
  &-smallest {
    font-size: 13px;
  }
}

::selection {
  background: $primary;
}

main {
  //color: #888;
  //color: rgba($primary, 0.2);
}

p {
    //color: $primary;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
  @include font-heading;
  text-transform: uppercase;
  clear: both;
}

h1, h2, h3, h4, h5, h6 {
  &.rich-text.block-editor-rich-text__editable {
    @include font-heading;
    text-transform: uppercase;
    clear: both;
  }
}

/* Utility classes */

.font-base {
  @include font-base;
}
.font-heading {
  @include font-heading;
}